<template>
	<section class="settings_main">
		<div class="p-3 w-100">
			<div class="settings_content_inr base_block">
				<div class="settings_panel p-3">
					<div class="settings_panel_ttl">
						<div class="txt">{{ $store.state.locale.activation }}</div>
					</div>

					<div class="settings_panel_cnt">
						<div class="activation_field mw-100">
							<div class="form-group">
								<label class="base_label">Server id:</label>
								<input type="text" class="form-control-plaintext activation_inp_server" v-model="serverId" disabled>
							</div>

							<div class="form-group">
								<label class="base_label">Activation key:</label>
								<input type="text" class="form-control-plaintext activation_inp_server" v-model="activationKey" disabled>
							</div>

							<div class="form-group">
								<label class="base_label">{{ $store.state.locale.maxOnlineOperator }}:</label>
								<input type="text" class="form-control-plaintext activation_inp_server" v-model="maxOperators" disabled>
							</div>

							<button
									type="submit"
									class="btn login_main_sign_btn activation_btn"
									data-toggle="modal"
									data-target="#modalInfo"
									@click="status = 2"
									v-if="can('settings_activation', 'Edit')"
							>
								{{ $store.state.locale.reactivate }}
							</button>

						</div>
					</div>
				</div>
			</div>


			<div class="modal fade base_modal" id="modalInfo">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<div class="base_modal_ttl">{{ $store.state.locale.reactivate }}</div>
						</div>

						<div class="modal-body">
							<div class="form-group" :class="{'base_invalid': status === 0, 'base_valid': status === 1}">
								<label class="base_label">Activation key</label>
								<input type="text" class="form-control base_input activation_inp_key" placeholder="Activation key" v-model="reactivationKey">
								<div class="form-text base_input_text" v-if="status === 1">Reactivation is successful</div>
								<div class="form-text base_input_text" v-if="status === 0">Reactivation is failed</div>
							</div>
						</div>

						<div class="modal-footer">
							<button type="button" class="login_main_sign_btn base_modal_btn success" data-dismiss="modal" v-if="status === 1">Close</button>
							<button type="button" class="login_main_sign_btn base_modal_btn" v-else @click="Reactivate">{{ $store.state.locale.reactivate }}</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
</template>

<style></style>

<script src="./script.js"></script>